// PRESS SPACE TO SNAP IMAGE

var one, shiftview, numview;
var w = 640, h = 480;
var curframe = 1;
var frames = [26];
var isFrameFilled = [26];
var shiftHeld = false;

function setup() {
  createCanvas(w,h);
  one = createGraphics(w,h);
  shiftview = createGraphics(w,h);
  numview = createGraphics(w,h);
  
  for (i=0;i<26;i++) {
    frames[i] = createGraphics(w,h);
    isFrameFilled[i] = false;
  }
  capture = createCapture(VIDEO);
  capture.hide();
  
}

function draw() {
  image(capture,0,0,w,h);
  image(frames[curframe],0,0,640,480);
  image(shiftview,0,0,w,h);
  image(numview,0,0,w,h);
  
  if(shiftHeld) {
    shiftview.ellipse(45,45,50,50);
  }
  console.log(curframe);
}

function keyPressed() {
  if(keyCode === 8) { // BACKSPACETO CLEAR
    frames[curframe].clear();
    isFrameFilled[curframe] = false;
  }
  if(keyCode === 16) { // SHIFT TO MAKE CIRCLE
    shiftHeld = true;
  }
  if(keyCode>=65 && keyCode<=90) {
    curframe = keyCode - 65;
  }
  for(n=65;n<=90;n++) { // Check for any letters pressed
    if(keyCode === n) {
      
      // Update number view
      numview.clear();
      numview.textSize(50);
      //numview.textStyle(BOLD);
      if(isFrameFilled[n-65]){
        numview.fill(0,0,255);
      } else {
        numview.fill(255,0,0);
      }
      
      numview.text(String.fromCharCode(keyCode),25,25,60,50);
      // ASSIGN TO FRAME
      if(shiftHeld) {
        frames[keyCode-65].image(capture,0,0,w,h);
        isFrameFilled[keyCode-65] = true;
        numview.fill(0,0,255);
        numview.text(String.fromCharCode(keyCode),25,25,60,50);
      }
      //curframe = n-65;
    }
  }
}

function keyReleased() {
  if(keyCode === 16) { // SHIFT
    shiftHeld = false;
    shiftview.clear();
  }
}
